#include <iostream>
#include <vector>
#include <map>

int main() {
    // Array initialization
    int arr[] = {1, 2, 3, 4, 5};
    
    // Vector initialization
    std::vector<int> vec = {10, 20, 30, 40, 50};
    
    // Map initialization
    std::map<std::string, int> map = {
        {"one", 1},
        {"two", 2},
        {"three", 3}
    };
    
    // Struct initialization
    struct Point {
        int x, y;
    };
    Point p = {10, 20};
    
    // Printing initialized values
    std::cout << "Array first element: " << arr[0] << std::endl;
    std::cout << "Vector first element: " << vec[0] << std::endl;
    std::cout << "Map 'two': " << map["two"] << std::endl;
    std::cout << "Point: (" << p.x << ", " << p.y << ")" << std::endl;
    
    return 0;
}
